package cn.gov.customs.wxjy.demo.service.impl;

import cn.gov.customs.wxjy.demo.dao.AuthDao;
import cn.gov.customs.wxjy.demo.pojo.Permission;
import cn.gov.customs.wxjy.demo.pojo.Role;
import cn.gov.customs.wxjy.demo.service.AuthService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
@RequiredArgsConstructor
public class AuthServiceImpl implements AuthService {
    private final AuthDao mapper;
    @Override
    public List<Permission> getPermission() {
        return mapper.getPermission();
    }

    @Override
    public List<Role> getRole() {
        return mapper.getRole();
    }
}
